slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSLPSetEPSLeft

Associate a linear eigensolver object (EPS) to the nonlinear eigenvalue solver, used to compute left eigenvectors in the two-sided variant of SLP.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSLPSetEPSLeft(NEP nep,EPS eps)

Collective

### Input Parameters

| nep | - nonlinear eigenvalue solver
| eps | - the eigensolver object

### See Also

NEPSLPGetEPSLeft(), NEPSetTwoSided()

### Level

advanced

### Location

src/nep/impls/slp/slp.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages